.graph {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    overflow: hidden;
    position: relative;
}

.node {
    position: absolute;
    width: 20px;
    height: 20px;
    background-color: blue;
    border-radius: 50%;
}

/* Position the nodes in a triangle */
.node:nth-child(1) {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.node:nth-child(2) {
    bottom: 0;
    right: 0;
    transform: translate(-50%, 50%);
}
.node:nth-child(3) {
    bottom: 0;
    left: 0;
    transform: translate(50%, 50%);
}

/* Create lines using pseudo-elements */
.node::before, .node::after {
    content: '';
    position: absolute;
    width: 50vw;
    height: 2px;
    background-color: black;
    top: 50%;
    z-index: -1;
}

.node:nth-child(1)::before {
    left: 50%;
    transform: rotate(-60deg);
    transform-origin: left;
}

.node:nth-child(2)::before {
    right: 50%;
    transform: rotate(60deg);
    transform-origin: right;
}

.node:nth-child(3)::before {
    left: 50%;
    transform: rotate(60deg);
    transform-origin: left;
}


svg #research-network {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}

svg .link-papers {
  stroke: #999;
  stroke-opacity: 0.6;
  stroke-width: 1; 
  stroke-dasharray: 5,5;
}

svg .link-categories {
  stroke: #999;
  stroke-opacity: 0.6;
  stroke-width: 2;
}

svg .nodeStyle {
  stroke: #fff;
  stroke-width: 1.5px;
  opacity: 0.6;
}

.node-center-text {
    font-size: 30px;
    font-weight: bold;
    text-anchor: middle;
}

.node-side-text {
    font-size: 20px;
    font-weight: bold;
    text-anchor: middle;
}

.prevent-selection {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently supported by Chrome, Edge, Opera and Firefox */
}
